World-Map Library interface for KDE

-- AUTHORS ------------------------------------------------------------

See AUTHORS file for details.

-- ABOUT --------------------------------------------------------------

Libkgeomap is a wrapper around world map components as Marble, OpenstreetMap and GoogleMap, 
for browsing and arranging photos on a map

The library documentation is available in the header and cpp files in doxygen style. You can use doxygen ( http://www.doxygen.org ) to generate documentation in HTML format:

# cd libkgeomap
# doxygen Doxyfile

-- DEPENDENCIES -------------------------------------------------------

CMake           >= 2.8.12                   http://www.cmake.org
ECM             >= 1.1.0                    https://projects.kde.org/projects/kdesupport/extra-cmake-modules
libqt           >= 5.2.0                    http://qt-project.org
libkde          >= 5.0.0                    http://www.kde.org
libmarblewidget >= 0.19.20                  http://edu.kde.org/marble

Optional dependency for the demo application:
libkexiv2       >= 5.0.0                    https://cgit.kde.org/libkexiv2.git/

-- INSTALL ------------------------------------------------------------

Usual CMake options:

-DCMAKE_INSTALL_PREFIX : decide where the program will be install on your computer.
-DCMAKE_BUILD_TYPE     : decide which type of build you want. You can chose between "debug", "profile", "relwithdebinfo" and "release". The default is "relwithdebinfo" (-O2 -g).

Note: To know KDE install path on your computer, use 'kf5-config --prefix' command line like this (with debug object enabled):

"cmake . -DCMAKE_BUILD_TYPE=debug -DCMAKE_INSTALL_PREFIX=`kf5-config --prefix`"
